<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script>
        let calculator = {
            number1: 0,
            number2: 0,
            operation: "",
            read: function () {
                while (true) {
                    this.number1 = Number.parseInt(prompt("Please, enter first number:"));
                    this.number2 = Number.parseInt(prompt("Please, enter second number:"));
                    this.operation = prompt("Please, enter operation:");
                    if (Number.isNaN(this.number1) || Number.isNaN(this.number2)) {
                        alert("Wrong input, please try again!");
                    } else {
                        break;
                    }
                }
            }
        };

        calculator.read();
        calculate(calculator.number1, calculator.number2, calculator.operation);

        function calculate(num1, num2, operation) {

            let result = 0;
            switch (operation) {
                case "-":
                    result = num1 - num2;
                    break;
                case "+":
                    result = num1 + num2;
                    break;
                case "*":
                    result = num1 * num2;
                    break;
                case "/":
                    result = num1 / num2;
                    break;
                default:
                    alert("Operation is not acceptable!");
            }
            console.log(`Result of ${num1} ${operation} ${num2} = ${result}`);
        };

    </script>
</head>
<body>

</body>
</html>


